Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.event
Class AbstractInstanceLifecycleListener

    java.lang.Object
      |
      +--kodo.event.AbstractInstanceLifecycleListener

All Implemented Interfaces:
  ClearLifecycleListener, CreateLifecycleListener, DeleteLifecycleListener, DirtyFlushedLifecycleListener, DirtyLifecycleListener, InstanceLifecycleListener, LoadLifecycleListener, StoreLifecycleListener

public abstract class AbstractInstanceLifecycleListener
extends Object
implements CreateLifecycleListener, ClearLifecycleListener, LoadLifecycleListener, StoreLifecycleListener, DeleteLifecycleListener, DirtyLifecycleListener, DirtyFlushedLifecycleListener

Abstract implementation of all `InstanceLifecycleListener` interfaces which delegates events to a single method.

Fields inherited from interface kodo.event.DirtyFlushedLifecycleListener
`EVENT_TYPE`

Constructor Summary
`AbstractInstanceLifecycleListener()`

Method Summary
`protected void` | `eventOccurred(InstanceLifecycleEvent ev, boolean pre)` Should be implemented to handle the specific lifecycle event.
`void` | `postClear(InstanceLifecycleEvent ev)`
`void` | `postCreate(InstanceLifecycleEvent ev)`
`void` | `postDelete(InstanceLifecycleEvent ev)`
`void` | `postDirty(InstanceLifecycleEvent ev)`
`void` | `postDirtyFlushed(InstanceLifecycleEvent ev)` The contained flushed source has been dirtied again, such that another flush is required.
`void` | `postLoad(InstanceLifecycleEvent ev)`
`void` | `postStore(InstanceLifecycleEvent ev)`
`void` | `preClear(InstanceLifecycleEvent ev)`
`void` | `preDelete(InstanceLifecycleEvent ev)`
`void` | `preDirty(InstanceLifecycleEvent ev)`
`void` | `preDirtyFlushed(InstanceLifecycleEvent ev)` The contained flushed source has been dirtied again, such that another flush is required.
`void` | `preStore(InstanceLifecycleEvent ev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractInstanceLifecycleListener

    public AbstractInstanceLifecycleListener()

Method Detail

### eventOccurred

    protected void eventOccurred(InstanceLifecycleEvent ev,
                                 boolean pre)

  Should be implemented to handle the specific lifecycle event.

### postCreate

    public void postCreate(InstanceLifecycleEvent ev)

  Specified by:
    `postCreate` in interface `CreateLifecycleListener`

### preClear

    public void preClear(InstanceLifecycleEvent ev)

  Specified by:
    `preClear` in interface `ClearLifecycleListener`

### postClear

    public void postClear(InstanceLifecycleEvent ev)

  Specified by:
    `postClear` in interface `ClearLifecycleListener`

### postLoad

    public void postLoad(InstanceLifecycleEvent ev)

  Specified by:
    `postLoad` in interface `LoadLifecycleListener`

### preDelete

    public void preDelete(InstanceLifecycleEvent ev)

  Specified by:
    `preDelete` in interface `DeleteLifecycleListener`

### postDelete

    public void postDelete(InstanceLifecycleEvent ev)

  Specified by:
    `postDelete` in interface `DeleteLifecycleListener`

### preStore

    public void preStore(InstanceLifecycleEvent ev)

  Specified by:
    `preStore` in interface `StoreLifecycleListener`

### postStore

    public void postStore(InstanceLifecycleEvent ev)

  Specified by:
    `postStore` in interface `StoreLifecycleListener`

### preDirty

    public void preDirty(InstanceLifecycleEvent ev)

  Specified by:
    `preDirty` in interface `DirtyLifecycleListener`

### postDirty

    public void postDirty(InstanceLifecycleEvent ev)

  Specified by:
    `postDirty` in interface `DirtyLifecycleListener`

### preDirtyFlushed

    public void preDirtyFlushed(InstanceLifecycleEvent ev)

  Description copied from interface: `DirtyFlushedLifecycleListener`
  The contained flushed source has been dirtied again, such that another flush is required.
  Specified by:
    `preDirtyFlushed` in interface `DirtyFlushedLifecycleListener`

### postDirtyFlushed

    public void postDirtyFlushed(InstanceLifecycleEvent ev)

  Description copied from interface: `DirtyFlushedLifecycleListener`
  The contained flushed source has been dirtied again, such that another flush is required.
  Specified by:
    `postDirtyFlushed` in interface `DirtyFlushedLifecycleListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.